# Generated from dxmms2-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dxmms2

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: A client for working with xmms2
License: MPL-2.0
URL: http://github.com/mwatts15/xmms2-stuff
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
# dxmms2
*a dmenu shell for xmms2*
Setting the dmenu width in dxmms2 requires the patch provided in this repo.
The 
patch hasn't been tested--application may require manual effort.
![dxmms2 screenie](dxmms2.png).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/dxmms2
%{gem_instdir}/Makefile
%{gem_instdir}/bin
%{gem_instdir}/dxmms2.png
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/dxmms2.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.0-1
- Initial package
